FORMS(3)

NAME
field_count, form_fields, move_field, set_form_fields - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
int
field_count(FORM *form);
FIELD **
form_fields(FORM *form);
int
move_field(FIELD *field, int frow, int fcol);
int
set_form_fields(FORM *form, FIELD **fields);

DESCRIPTION
The field_count() function returns the number of fields that are attached to the given form, if the form argument passed is NULL then field_count() will return -1. The function form_fields() will return a pointer to array of attach fields for the given form, this array is not NULL terminated, fields may be attached to the given form by calling set_form_fields(). The fields argument in this function is a pointer to a NULL terminated array of fields that will be attached to the form. If there are already fields attached to the form then they will be detached before the new fields are attached. The new fields given must not be attached to any other form. The move_field() function will move the given field to the location specified by frow and fcol.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following error values:

E_OK
    The function was successful.
E_CONNECTED
    The field is connected to a form.
E_POSTED
    The form is currently posted to the screen.
E_BAD_ARGUMENT
    The function was passed a bad argument.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.